// Generated by the WOLips Templateengine Plug-in at 14 févr. 2011 13:32:39

/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.physalisw.serveur.components;

import org.cocktail.physalisw.serveur.Application;
import org.cocktail.physalisw.serveur.Session;
import org.cocktail.fwkcktlajaxwebext.serveur.CktlAjaxWOComponent;

import com.webobjects.appserver.WOActionResults;
import com.webobjects.appserver.WOContext;
import com.webobjects.appserver.WORequest;
import com.webobjects.appserver.WOResponse;
import com.webobjects.eocontrol.EOEditingContext;

import er.extensions.components.ERXClickToOpenSupport;

public class MyWOComponent extends CktlAjaxWOComponent {

	public Application application = (Application)application();
	public Session session = (Session)session();
	public EOEditingContext edc = session.defaultEditingContext();
	
    private String onloadJS;
    public static final boolean isClickToOpenEnabled = Boolean.valueOf(System.getProperty("er.component.clickToOpen", "false"));

	public MyWOComponent(WOContext context) {
		super(context);
	}

    public void awake() {
    	super.awake();
    }

    public void takeValuesFromRequest(WORequest worequest, WOContext wocontext) {
    	super.takeValuesFromRequest(worequest, wocontext);
    }

    public WOActionResults invokeAction(WORequest worequest, WOContext wocontext) {
    	WOActionResults result = super.invokeAction(worequest, wocontext);

    	return result;
    }

    public void appendToResponse(WOResponse woresponse, WOContext wocontext) {
        ERXClickToOpenSupport.preProcessResponse(woresponse, wocontext, isClickToOpenEnabled);
		super.appendToResponse(woresponse, wocontext);
        ERXClickToOpenSupport.postProcessResponse(getClass(), woresponse, wocontext, isClickToOpenEnabled);
	}

    public void sleep() {
    	super.sleep();
    }

    public Session session() {
    	return (Session)super.session();
    }

	/**
	 * @return the onloadJS
	 */
	public String onloadJS() {
		return onloadJS;
	}

	/**
	 * @param onloadJS the onloadJS to set
	 */
	public void setOnloadJS(String onloadJS) {
		this.onloadJS = onloadJS;
	}

}
